<?php
//OZEKI SMS Course block for Moodle

class block_ozekismsc extends block_list {
     //osztly inicializlsa
	function init() {
		//cm s verzi belltsa
		$this->title   = get_string('blockname', 'block_ozekismsc');
		$this->version = 2010091517;
		
	}
	//tartalom visszaad fggvny
	function get_content() {
		//globlis konfig vltoz
		global $CFG;
		//ha a tartalom nem egyenl ressel akkor kirs
		if ($this->content !== null) {
			return $this->content;
		}
		//krnyezet lekrse
		$context = get_context_instance(CONTEXT_BLOCK, $this->instance->id);
		//ha a krnyezetben van jogunk sms-t kldeni (db/access.php szablyozza)
		if (has_capability('block/ozekismsc:send', $context)) {
			//men megjelentse
			$this->content         = new stdClass;
			$this->content->items  = array();
			$this->content->icons  = array();
			//ha a konfig vltozk nem resek
			if ($CFG->block_ozekismsc_host != '' || $CFG->block_ozekismsc_port != '' || $CFG->block_ozekismsc_user != '' || $CFG->block_ozekismsc_password != '') {
				//menpontok ltrehozsa
				$this->content->footer = ' ';
				$this->content->icons[] = '<img src="'.$CFG->wwwroot.'/blocks/ozekismsc/icon.jpg" class="icon" alt="" />';
				$this->content->items[] = '<a href="'.$CFG->wwwroot.'/blocks/ozekismsc/send.php?courseid='.$this->instance->pageid.'">'.get_string('sendsms','block_ozekismsc').'</a>';
			}
			//egybknt hibazenet
			else {
				$this->content->footer = get_string('noconfig','block_ozekismsc');
			}
		}
		return $this->content;
	}
	//csak egyszer jelenhet meg a blokkok kztt
	function instance_allow_multiple() {
        return false;
    }
	//van globlis belltsi lehetsge
	function has_config() { 
		return true;
	}
 } 
 
 ?>